%{
#define YYSTYPE long long int
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
int yylex();
int yyerror(char *);
%}

%token PreNumberTerms
%token PosNumberTerms
%token INT


%%

entrada: 
	| entrada  linha
	;

linha:   '\n'
        | PreNumberTerms INT PosNumberTerms '\n' {printf("%lld\n",$2);}
	| error '\n' {yyerrok;}
	;


%%

int main() {
    yyparse();
}

int yyerror(char *s) {
}
